- patch for akode to make it build polyp plugin against pulseaudio
[packages/akode.git] / akode-polypaudio-0_8.patch
CommitLineData
9207a1f7
PS
1--- akode-2.0/akode/plugins/polyp_sink/polyp_sink.cpp.orig 2005-12-14 22:07:41.000000000 +0100
2+++ akode-2.0/akode/plugins/polyp_sink/polyp_sink.cpp 2006-04-27 22:21:46.000000000 +0200
3@@ -25,7 +25,7 @@
4 #elif defined(HAVE_INTTYPES_H)
5 #include <inttypes.h>
6 #endif
7-#include <polyp/polyplib-simple.h>
8+#include <polyp/simple.h>
9
10 #include "audioframe.h"
11 #include "audiobuffer.h"
12@@ -59,7 +59,7 @@
13
14 bool PolypSink::open() {
15 int error = 0;
16- m_data->server = pa_simple_new(0, "akode-client", PA_STREAM_PLAYBACK, 0, "", &m_data->sample_spec, 0, 255, &error );
78add984 17+ m_data->server = pa_simple_new(0, "akode-client", PA_STREAM_PLAYBACK, 0, "", &m_data->sample_spec, 0, 0, &error );
9207a1f7
PS
18 if (!m_data->server || error != 0) {
19 m_data->error = true;
20 close();
This page took 0.028928 seconds and 4 git commands to generate.